Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UIAccordionItem.Properties

    java.lang.Object
      java.lang.Enum<UIAccordionItem.Properties>
          org.richfaces.component.UIAccordionItem.Properties

All Implemented Interfaces:
  Serializable, Comparable<UIAccordionItem.Properties>

Enclosing class:
  UIAccordionItem

    protected static enum UIAccordionItem.Properties

extends Enum<UIAccordionItem.Properties>

Enum Constant Summary
`dir`
`disabled`
`headerStyle`
`lang`
`onclick`
`ondblclick`
`onenter`
`onheaderclick`
`onheaderdblclick`
`onheadermousedown`
`onheadermousemove`
`onheadermouseup`
`onleave`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`style`
`styleClass`
`title`

Method Summary
`static UIAccordionItem.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UIAccordionItem.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### dir

    public static final UIAccordionItem.Properties dir

### disabled

    public static final UIAccordionItem.Properties disabled

### headerStyle

    public static final UIAccordionItem.Properties headerStyle

### lang

    public static final UIAccordionItem.Properties lang

### onclick

    public static final UIAccordionItem.Properties onclick

### ondblclick

    public static final UIAccordionItem.Properties ondblclick

### onenter

    public static final UIAccordionItem.Properties onenter

### onheaderclick

    public static final UIAccordionItem.Properties onheaderclick

### onheaderdblclick

    public static final UIAccordionItem.Properties onheaderdblclick

### onheadermousedown

    public static final UIAccordionItem.Properties onheadermousedown

### onheadermousemove

    public static final UIAccordionItem.Properties onheadermousemove

### onheadermouseup

    public static final UIAccordionItem.Properties onheadermouseup

### onleave

    public static final UIAccordionItem.Properties onleave

### onmousedown

    public static final UIAccordionItem.Properties onmousedown

### onmousemove

    public static final UIAccordionItem.Properties onmousemove

### onmouseout

    public static final UIAccordionItem.Properties onmouseout

### onmouseover

    public static final UIAccordionItem.Properties onmouseover

### onmouseup

    public static final UIAccordionItem.Properties onmouseup

### style

    public static final UIAccordionItem.Properties style

### styleClass

    public static final UIAccordionItem.Properties styleClass

### title

    public static final UIAccordionItem.Properties title

Method Detail

### values

    public static UIAccordionItem.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UIAccordionItem.Properties c : UIAccordionItem.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UIAccordionItem.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.